RDCode: ForceFields::UFF::DistanceConstraintContrib Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ForceFields::UFF::DistanceConstraintContrib Class Reference

A distance range constraint modelled after a BondStretchContrib. More...

`#include <DistanceConstraint.h>`

Inheritance diagram for ForceFields::UFF::DistanceConstraintContrib:

List of all members.

## Public Member Functions
| DistanceConstraintContrib ()
| DistanceConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, double minLen, double maxLen, double forceConst)
| Constructor.
| ~DistanceConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position

## Detailed Description

A distance range constraint modelled after a BondStretchContrib.

Definition at line 15 of file DistanceConstraint.h.

## Constructor & Destructor Documentation

ForceFields::UFF::DistanceConstraintContrib::DistanceConstraintContrib | ( |  | ) | `[inline]`

Definition at line 17 of file DistanceConstraint.h.

ForceFields::UFF::DistanceConstraintContrib::DistanceConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConst |
| ) |  |  |

Constructor.

Parameters:

  | owner | pointer to the owning ForceField
  | idx1 | index of end1 in the ForceField's positions
  | idx2 | index of end2 in the ForceField's positions
  | minLen | minimum distance
  | maxLen | maximum distance
  | forceConst | force Constant

ForceFields::UFF::DistanceConstraintContrib::~DistanceConstraintContrib | ( |  | ) | `[inline]`

Definition at line 31 of file DistanceConstraint.h.

## Member Function Documentation

double ForceFields::UFF::DistanceConstraintContrib::getEnergy | ( | double * | pos | ) | const`[virtual]`

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::UFF::DistanceConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad |
| ) |  |  | const`[virtual]`

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- DistanceConstraint.h